unit MainUnit;

{$mode objfpc}{$H+}

interface

uses
  Interfaces,
  Windows,
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, Menus,
  ExtCtrls, StdCtrls,
  SubUnit;

type

  { TMainForm }

  TMainForm = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MDIsimulatorPanel: TPanel;
    SubMenuItem2: TMenuItem;
    StatusBar1: TStatusBar;
    SubMenuItem1: TMenuItem;
    TopPanel: TPanel;
    procedure SubMenuItem1Click(Sender: TObject);
    procedure SubMenuItem2Click(Sender: TObject);
  private

  public

  end;

var
  MainForm: TMainForm;

implementation

{$R *.lfm}

{ TMainForm }

procedure TMainForm.SubMenuItem1Click(Sender: TObject);
var
  aChildForm: TChildForm;
begin
  aChildForm:= TChildForm.Create( Self);
  Windows.SetParent( aChildForm.handle, Self.Handle);
  aChildForm.Parent:= MDIsimulatorPanel;  // 0.02  added this
  aChildForm.Visible:= TRUE;
  aChildForm.SetBounds( 0, 0, 400, 250);
  aChildForm.Caption:= aChildForm.Caption +' with Windows.SetParent';
end;


procedure TMainForm.SubMenuItem2Click(Sender: TObject);
var
  aChildForm: TChildForm;
begin
  aChildForm:= TChildForm.Create( Self);
  aChildForm.Parent:= MDIsimulatorPanel;
  aChildForm.Visible:= TRUE;
  aChildForm.SetBounds( 0, 0, 400, 250);
  aChildForm.Caption:= aChildForm.Caption +' only with aChildForm.Parent:= ..';
end;


end.

